Вы находитесь здесь

Форум

Elite: Dangerous

Автор Replies
fesojoe Saturday 2 August 2014 at 17:04
fesojoeAnonymous

Hi,

i started using Linux a few days ago and was quite happy to find out about Playonlinux. I'm in LOVE with this application!

My issue right now is that I can't manage to get "Elite: Dangerous" to run at all. Did someone manage to make it playable? If so could you share the process that you went through?

 

This is the Output from the debugger if this helps:

 

[08/02/14 16:59:05] - Running wine-1.7.21 --version (Working directory : /usr/share/playonlinux/python)
wine-1.7.21

PlayOnLinux logfile
-------------------
Date: 08/02/14 16:59:05

> PlayOnLinux Version
  4.2.2
> uname -a
  Linux Joe-PC 3.13.0-32-generic #57-Ubuntu SMP Tue Jul 15 03:51:08 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux
> lsb_release -a
  
> wine --version
  wine-1.7.21
> POL_WINEVERSION
  1.7.21
> WINEPREFIX
  /home/fesojoe/.PlayOnLinux//wineprefix/EliteDangerous
> Distribution
  Ubuntu 14.04.1 LTS
> glxinfo \| grep rendering
  direct rendering: Yes
> glxinfo \| grep renderer
      GLX_MESA_multithread_makecurrent, GLX_MESA_query_renderer, 
OpenGL renderer string: Gallium 0.4 on AMD CAPE VERDE
> OpenGL libs (Direct rendering testing)
  
  

[08/02/14 16:59:15] - Running wine-1.7.21 cmd /c echo %ProgramFiles% (Working directory : /usr/share/playonlinux/python)
C:\Program Files (x86)
[08/02/14 16:59:29] - Running wine-1.7.21 /home/fesojoe/Desktop/Client-Installer.exe (Working directory : /)
fixme:process:SetProcessDEPPolicy (1): stub
fixme:process:SetProcessDEPPolicy (1): stub
fixme:win:DisableProcessWindowsGhosting : stub
fixme:msg:ChangeWindowMessageFilterEx 0x1007e c045 1 (nil)
fixme:msg:ChangeWindowMessageFilterEx 0x10084 c045 1 (nil)
fixme:msg:ChangeWindowMessageFilterEx 0x20084 c045 1 (nil)
fixme:shell:SHAutoComplete stub
err:richedit:ReadStyleSheet skipping optional destination
err:richedit:ReadStyleSheet skipping optional destination
fixme:sfc:SfcIsFileProtected ((nil), L"C:\\Program Files (x86)\\Frontier\\EDLaunch\\unins000.exe") stub
fixme:clusapi:GetNodeClusterState ((null),0x33eb74) stub!
fixme:advapi:DecryptFileA ("c:\\4307c75e790a7022362b6fc5\\", 00000000): stub
fixme:advapi:RegisterTraceGuidsW (0x6cd15f38, 0x6cd20180, {e2821408-c59d-418f-ad3f-aa4e792aeb79}, 1, 0x33fc90, (null), (null), 0x6cd20188): stub
fixme:heap:HeapSetInformation (nil) 1 (nil) 0
fixme:process:SetProcessDEPPolicy (1): stub
fixme:heap:HeapSetInformation (nil) 1 (nil) 0
fixme:thread:SetThreadStackGuarantee (0x33fb58): stub
fixme:advapi:LsaOpenPolicy ((null),0x33f448,0x00000001,0x33f434) stub
fixme:advapi:LsaClose (0xcafe) stub
fixme:ntdll:NtLockFile I/O completion on lock not implemented yet
fixme:advapi:LsaOpenPolicy ((null),0x33f298,0x00000001,0x33f284) stub
fixme:advapi:LsaClose (0xcafe) stub
fixme:heap:HeapSetInformation (nil) 1 (nil) 0
fixme:ntdll:NtQueryInformationToken QueryInformationToken( ..., TokenElevation, ...) semi-stub
err:ole:CoInitializeEx Attempt to change threading model of this apartment from multi-threaded to apartment threaded
fixme:heap:HeapSetInformation (nil) 1 (nil) 0
fixme:ntdll:NtQueryInformationToken QueryInformationToken( ..., TokenElevation, ...) semi-stub
err:ole:CoInitializeEx Attempt to change threading model of this apartment from multi-threaded to apartment threaded
fixme:advapi:DecryptFileW (L"C:\\users\\fesojoe\\Temp\\{33d1fd90-4274-48a1-9bc1-97e33d9c2d6f}\\", 00000000): stub
[08/02/14 17:03:12] - Running wine-1.7.21 EDLaunch.exe (Working directory : /home/fesojoe/.PlayOnLinux/wineprefix/EliteDangerous/drive_c/Program Files (x86)/Frontier/EDLaunch)
The entry point method could not be loaded

realsuamor Wednesday 10 September 2014 at 23:01
realsuamorAnonymous

First: What additional packages did you install ?

You need to install DirectX11 at least.

Also I have tried .Net4, but got an error message with the Launcher.

As there is no .Net4.5 installer, you need to install .Net3.5 first right now due to a different issue I read about on the wine page: https://appdb.winehq.org/objectManager.php?sClass=version&iId=25478

I tried that as well but still get an error when trying to launch it. But maybe you have more luck with 1.7.x, I use the latest stable 1.6.x.


Software Developer - Private Project: Canorus - Free score editor
Ronin DUSETTE Thursday 11 September 2014 at 2:47
Ronin DUSETTE
Admin

Update POL to 4.2.5 first, then update your graphics drivers to use the proprietary drivers, to see if that makes a difference. 


Please:
Post debug logs & full computer specs in first post
No private messages for general help, use the forums
Read the wiki, Report broken scripts
realsuamor Tuesday 30 September 2014 at 20:54
realsuamorAnonymous

I have some more Updates meanwhile about the requirements:

- At least 1.7.25 is required due to vcrun2012

- At least DirectX11 has to be installed (i search for confirmation that native directX 11 is working at all using wine, according to official wine pages this does not seem the case, but that could be builtin directX 11 support)

- .Net 3.5 seems to be required - but the Launcher still won't start due to another issue. I suppose this can be fixed easier than DirectX11.
 


Software Developer - Private Project: Canorus - Free score editor
ebeyer Sunday 8 February 2015 at 19:24
ebeyerAnonymous

Were you able to get Elite working in POL?

EB

hitchhiker54 Tuesday 17 February 2015 at 10:30
hitchhiker54Anonymous

No actual joy on getting ED to run yet but from installing on Windows 10 tech preview from clean os install it needs as minimum for launcher  :

Net 3.5

vcredist2010

vcredist2012

====

game :

directx11

DINPUT1_3.dll (iirc, gets installed with dx sdk installer if not already on system)

toidi Thursday 20 August 2015 at 0:42
toidiAnonymous

First post so here goes :D

 

I have got the Launcher to work on linux, it allows for login and also client download.   I am still getting issues with getting the game to launch (some sort of .net error) and I will continue to look into it.  Sadly though I am not greatly versed with wine/POL but here are the steps to get the launcher working.

 

POL bottle with latest 32bit wine. 1.7.4/5.9? On Arch

install DX10/DX11

Install .net 4.0 (this is important as any other version of .net framework causes the launcher to crash).

 Also gathered info from this thread to install some linux packages: https://bbs.archlinux.org/viewtopic.php?id=164320 

smbclient
cifs-utils
libwbclient
lib32-libldap

And samba

 

Finally install arial32 font from here: http://sourceforge.net/projects/corefonts/files/the%20fonts/final/

Don't try and install mscore fonts as this causes the launcher to crash.

Once you have it setup you should be able to run the launcher and also login/download the client.

Installing mono into the bottle does not help with the net error.  If the client download pulls up a network error just click install and continue, it will download the full client eventually.

Other things I have tried is copying the EDLaunch folder from a working win install into the bottle, which did not make any difference.  

As I said I am no linux/POL expert but I will continue to try and get the game to launch.  Hope this helps someone out there and they might be able to shed some light on how to proceed.

Aital Tuesday 2 January 2018 at 6:28
AitalAnonymous

I don't know if this is too late or not, but the launcher now basically works with version 2.21 staging and setting it to xp mode in wine settings. Not sure if this is an improvment or not. But you can get into the demo a little and mess with settings before it crashes. I can even get into the cockpit of a tutorial mission. But the colors are funny and I can't figure out the controls.

BTW, it will not work in windows 10 or 7 and probably other version. but it will operate for some reason in windows xp mode what I beleive is a reduced fashion.

Edit: It was working for me. I messed it up somehow adding and removing things. I'll have to remake the bottle and see again.

It requires 2.21staging(possibly others) dotnet4.0 and possibly xinput and wine must be set to XP mode. It should allow partial access to the game before crashing. And you may need to select options on the launcher and deselect all checked options.

I managed to lower the settings and temporarily got somewhat stable game but couldn't use any controls in the demo tutorials. It had red and grey colors in place of normal ones. But it was prone to crashing. Although I could get it to stay uncrashed for pretty long periods of time.

I also used steam in pol to download the game first and used those files. Haven't tested the launcher/client for full download.

Edit: The controls don't work because there were no preset keybinds. Have to set them all manually. Once I did this I was flying around the demo doing stuff. So the game is in essence playable. But some problems with entering the main game and color problems.

If the stuff on the launcher disapears, scroll your mouse over it and it will come in and out again.

Edit: And, Yay for edits!

Edit: If you install dx11 make sure to remove mscoree. It will cause the launcher not to start.

Important: only works in 32bit bottle so far.

 

Edit: Does anyone know how to get Dotnet452 on PlayOnLinux? If you can install dotnet452, Quartz, corefonts, vcrun2012 in wine you can run the installer in 64bit and start the game. It fails because of a CRC error. https://forums.frontier.co.uk/showthread.php/366894-How-to-install-ED-on-Linux-using-Wine-EXPERIMENTAL-NOT-OFFICIALLY-SUPPORTED

Edited by Aital

Aital Wednesday 17 October 2018 at 12:33
AitalAnonymous

Update: https://forums.frontier.co.uk/showthread.php/366894-How-to-install-ED-on-Linux-using-Wine-EXPERIMENTAL-NOT-OFFICIALLY-SUPPORTED/page6

Someone figured out how to get past the CRC error. And several things may be up and coming to fix the graphics. But someone has been in the game. So, this game may be playable soon.

Although, if you like funky neon colors the game is probably playable.

Edited by Aital

Вы находитесь здесь: Index > PlayOnLinux > Elite: Dangerous